<section class="search-bar">
  <div class="bg-full py-5">

    <div class="input-group group-filter mb-3">
      <div class="d-flex flex-grow-1">
        <input #search
               name="search"
               type="text"
               class="form-control input-search"
               placeholder="Cari peta tematik"
               [value]="filter.search"
               (keyup)="filter.search = search.value;"
               (keyup.enter)="filterSearch(search.value); search.blur()" />
        <div class="input-group-append">
          <span class="input-group-text clear-button">
            <svg-icon src="assets/icons/times.svg"
                      class="clear-button-icon me-3"
                      (click)="filterSearch('')"
                      *ngIf="filter.search !== ''"></svg-icon>
            <button class="btn btn-success"
                    style="border-radius: 8px;"
                    (click)="filterSearch(search.value); search.blur()">
              <img src="assets/img/icon/search.svg"
                   alt="Search">
            </button>
          </span>
        </div>
      </div>
    </div>

    <div class="d-flex flex-column flex-md-row">
      <ng-select #sektoralSelect
                 class="select-topic mt-2 mt-md-0"
                 [searchable]="false"
                 [clearable]="false"
                 [items]="sektoralData$ | async"
                 bindValue="id"
                 bindLabel="name"
                 placeholder="Pilih Topik"
                 [multiple]="true"
                 [closeOnSelect]="true"
                 (change)="filterSektoral($event)"
                 [(ngModel)]="filter.sektoral_id">
        >
        <ng-template ng-header-tmp>
          <div class="ng-dropdown-title">Topik</div>
          <hr />
          <div class="ng-dropdown-search">
            <div class="input-group">
              <div class="input-group-text">
                <span>
                  <i class="fas fa-search"></i>
                </span>
              </div>
              <input class="form-control"
                     type="text"
                     placeholder="Cari"
                     (input)="sektoralSelect.filter($event.target.value)" />
            </div>
          </div>
        </ng-template>
        <ng-template ng-option-tmp
                     let-item="item"
                     let-item$="item$"
                     let-index="index">
          <div class="form-check">
            <input id="item-{{ index }}"
                   class="form-check-input"
                   type="checkbox"
                   [ngModel]="item$.selected" />
            <label class="form-check-label limit-1-row"
                   for="item-{{ index }}">
              {{ item.name }}
            </label>
          </div>
        </ng-template>
        <ng-template ng-multi-label-tmp
                     let-items="items">
          <div class="ng-value">
            <span class="ng-value-label">
              {{ items.length }} Topik
            </span>
            <button class="btn btn-clear-active-filter"
                    ngbTooltip="Hapus Semua"
                    container="body"
                    (mousedown)="$event.stopPropagation()"
                    (click)="filterClearAll('sektoral', sektoralSelect)">
              <svg-icon src="assets/icons/chevron.svg"></svg-icon>

            </button>
          </div>
        </ng-template>
      </ng-select>
      <ng-select #maptypeSelect
                 class="select-maptype mt-2 mt-md-0 ms-md-3"
                 [searchable]="false"
                 [clearable]="false"
                 [items]="maptypeOptions"
                 bindValue="value"
                 bindLabel="label"
                 placeholder="Pilih Tipe Peta"
                 [multiple]="true"
                 [closeOnSelect]="true"
                 (change)="filterMaptype($event)"
                 [(ngModel)]="filter.map_type">
        >
        <ng-template ng-header-tmp>
          <div class="ng-dropdown-title">Tipe Peta</div>
          <hr />
        </ng-template>
        <ng-template ng-option-tmp
                     let-item="item"
                     let-item$="item$"
                     let-index="index">
          <div class="form-check">
            <input id="item-{{ index }}"
                   class="form-check-input"
                   type="checkbox"
                   [ngModel]="item$.selected" />
            <label class="form-check-label limit-1-row"
                   for="item-{{ index }}">
              {{ item.label }}
            </label>
          </div>
        </ng-template>
        <ng-template ng-multi-label-tmp
                     let-items="items">
          <div class="ng-value">
            <span class="ng-value-label">
              {{ items.length }} Tipe Peta
            </span>
            <button class="btn btn-clear-active-filter"
                    ngbTooltip="Hapus Semua"
                    container="body"
                    (mousedown)="$event.stopPropagation()"
                    (click)="filterClearAll('map_type', maptypeSelect)">
              <svg-icon src="assets/icons/chevron.svg"></svg-icon>

            </button>
          </div>
        </ng-template>
      </ng-select>
    </div>

  </div>
</section>